
import gicCard from './gic-card';
import cardPackage from './card-package';
import realGift from './real-gift';
import Layout from '@/components/layout/layout';
import virtualGift from './virtual-gift';
import stockRecord from './stock-record';

export const asyncRoutes = [
  ...gicCard,
  ...cardPackage,
  ...realGift,
  ...virtualGift,
  ...stockRecord,
];


export const staticRoutes = [
  {
    path: '/',
    component: Layout,
    redirect: '/gic-card/list',
    children: [
      {
        path: '/index',
        component: () => import('@/views/index.vue'),
      },
    ]
  },
  {
    path: '*',
    redirect: '/index'
  },
];

export const routes = [ ...staticRoutes, ...asyncRoutes ];